#include "stdafx.h"
#include "VertAdj.h"



namespace lib_geo
{


void VertAdj::ClearAdjBuffer(void)
{
	m_AdjEids.clear();
	m_AdjFids.clear();

	m_NormalAvg.set(0.0f, 0.0f, 0.0f);
}

void VertAdj::FlipFace(void)
{
	std::reverse(m_AdjEids.begin(), m_AdjEids.end());
	std::reverse(m_AdjFids.begin(), m_AdjFids.end());
	m_NormalAvg *= -1.0f;
}


}
